#!/usr/bin/env bash
#
# NEAT System-Info system-info.d Script
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

# Bash options:
set -eu

# Helper function library -> just return when it is not available.
# Exit code 0 will let System-Info continue with the next script!
# shellcheck disable=SC1091
. "$(dirname "$0")/banner-helper" || exit 0


# ====== Print banner =======================================================

NEAT_STUFF_VERSION=""
if [ -e /etc/neat/neat-stuff-version ] ; then
   NEAT_STUFF_VERSION="$(cat /etc/neat/neat-stuff-version)"
fi

echo -en "\x1b[1;34m"
separator "  " "=" "  "
echo -en "\x1b[1;31m"
center "#     # #######    #    #######"
center "##    # #         # #      #   "
center "# #   # #        #   #     #   "
center "#  #  # #####   #     #    #   "
center "#   # # #       #######    #   "
center "#    ## #       #     #    #   "
center "#     # ####### #     #    #   "
echo ""
center "-- A New, Evolutive API and Transport-Layer Architecture for the Internet --"
echo -en "\x1b[1;34m"
if [ "${NEAT_STUFF_VERSION}" != "" ] ; then
   echo ""
   center "${NEAT_STUFF_VERSION}"
fi
separator "  " "=" "  "
echo -e "\x1b[0m"


exit 1   # With exit code 1, no further files in /etc/system-info.d are processed!

# Use exit code 0 to process further files!
